Return to the Cloudy Nights Telescope Reviews home page


Telescope Specific Forums >> Meade Computerized Telescopes

Pages: 1
djedi
journeyman


Reged: 10/13/09

Loc: Upstate, NY
Trouble updating your Meade LX200 in windows 7-64?
      #5930358 - 06/19/13 11:41 PM

If you are having issues trying to upgrade the firmware of your LX200 GPS, here are some issues I dealt with and how I resolved them:
Firstly, I installed the latest version of ASU (Autostar update) from Meade. Plugging in my ebay-purchased 507 cable kit from a NY dealer, I could not get the windows 7 system to recognize the cable. After several back and forths with the seller, I received a substantial refund and kept the 15 foot RS232 6 pin and 4 pin cables and serial to rs232 jack, but dumped the usb to serial converter since the IC inside was defective. Searching forums, I followed others' advice and purchased Amazon's cable at http://www.amazon.com/Serial-Adaptor-Male-Single-Piece/dp/B000I97MZ4/ref=sr_1...
After running the mini-DVD to install the software and RESTARTING the computer, the usb was finally recognized in the device manager in windows.
Attempted again to run the autostar updater. The first time it saw the the autostar handbox, but could not update. Apparently I did not check how I wanted it to find the latest firmware. I checked "from hard drive" and restarted the telescope and the ASU software. Now it couldn't find the telescope, telling me a cable must be unplugged. More internet research. Checked the com port in device manager. Whoa! it said com7! OK, went into ASU and changed the com port to 7. Same message- cable unplugged. Checked the device manager. NOW it said COM 8!! OK, so I went back to ASU and changed that back to 8. Suddenly it connected. I got to second base.
When I hit the update now button though, it said it could not find the ROM file. Well, it never asked me where it was so duhhh!!
Restarted the ASU software, restarted the scope, pushed the radio button that said download from internet. Hit update now. "Could not find file" message now appeared.
After banging my head on the wall a few times I did some more research. Apparently ASU is very buggy with Win7 64 bit, but a company called "StarGPS" has a bit of software called Starpatch http://www.stargps.ca/starpatch.htm that will also update the LX200's, even if you don't use their GPS systems. I downloaded that. Restarted everything. It saw my scope. I selected all the appropriate settings (baud- use 9600) com port, etc, then selected the straight 4.2 upgrade without the "patch". Wouldn't run. It said I needed to use the patch software. I downloaded that. Hit the update button. Got the "are you sure?" warning. Said yes. HOME RUN! Took about an hour. Handset restarted and showed version 4.2. I followed the suggestions and keyed down the menu to reset the system, and it did so. Tomorrow I will give the scope a run.
Hope this helps others in the same boat.
Wolfgang


Post Extras: Print Post   Remind Me!   Notify Moderator  
Pages: 1


Extra information
2 registered and 8 anonymous users are browsing this forum.

Moderator:  Starman27, Christopher Erickson, Starman81 

Print Thread

Forum Permissions
      You cannot start new topics
      You cannot reply to topics
      HTML is disabled
      UBBCode is enabled


Thread views: 386

Jump to

CN Forums Home




Cloudy Nights Sponsor: Astronomics